org.infinispan.schematic.internal.delta

## Class AddValueIfAbsentOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.ArrayOperation
    - - org.infinispan.schematic.internal.delta.AddValueOperation
      - - org.infinispan.schematic.internal.delta.AddValueIfAbsentOperation

-     @SerializeWith(value=AddValueIfAbsentOperation.Externalizer.class)
      public class AddValueIfAbsentOperation
      extends AddValueOperation

  An atomic array add operation for SchematicValueDelta.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddValueIfAbsentOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `added`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.AddValueOperation

      `actualIndex, APPEND_INDEX, index, value`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddValueIfAbsentOperation(Path path, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isAdded()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.AddValueOperation

      `clone, getActualIndex, getIndex, getValue`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation

      `cloneValues, mutableParent`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### added

          protected transient boolean added

  - ### Constructor Detail

    - #### AddValueIfAbsentOperation

          public AddValueIfAbsentOperation(Path path,
                                   Object value)

  - ### Method Detail

    - #### isAdded

          public boolean isAdded()

    - #### rollback

          public void rollback(MutableDocument delegate)

      Overrides:
        `rollback` in class `AddValueOperation`

    - #### replay

          public void replay(MutableDocument delegate)

      Overrides:
        `replay` in class `AddValueOperation`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AddValueOperation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AddValueOperation`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `AddValueOperation`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.